rte_crypto_ml_kem_keyver_op(3)

NAME
rte_crypto_ml_kem_keyver_op

SYNOPSIS

#include <rte_crypto_asym.h>

  Data Fields

enum rte_crypto_ml_kem_op_type op
rte_crypto_param key

Detailed Description

PQC ML-KEM KEYVER op

Parameters for PQC ML-KEM key verification operation

Definition at line 840 of file rte_crypto_asym.h.

Field Documentation

  enum rte_crypto_ml_kem_op_type op
Op associated with key to be verified is one of below:

•   Encapsulation op

•   Decapsulation op

Definition at line 841 of file rte_crypto_asym.h.

  rte_crypto_param key
KEM key to check.

•   ek in case of encapsulation op.

•   dk in case of decapsulation op.

Definition at line 848 of file rte_crypto_asym.h.

Author

Generated automatically by Doxygen for DPDK from the source code.